SULOGIN(8)

NOM
sulogin - Connexion en mode mono-utilisateur

SYNOPSIS
sulogin [options] [tty]

DESCRIPTION
sulogin est appelé par init quand le système passe en mode mono-utilisateur.

L'utilisateur verra s'afficher :

    Donnez le mot de passe du superutilisateur pour la maintenance
    (ou appuyez sur Ctrl et D pour continuer) :

sulogin sera connecté au terminal en cours ou au périphérique facultatif tty fourni sur la ligne de commandes (typiquement /dev/console).

Quand l’utilisateur quitte l’interpréteur de commandes mono-utilisateur ou appuie sur Ctrl et D à l'invite de commande, le système continuera à démarrer.

OPTIONS

-e, --force
    Si la méthode d’obtention par défaut du mot de passe du superutilisateur pour le système avec getpwnam(3) échoue, examiner /etc/passwd et /etc/shadow pour obtenir le mot de passe. Si ces fichiers sont endommagés ou n’existent pas, sulogin démarrera un interpréteur de commandes de superutilisateur sans demander de mot de passe.

    N'utilisez l'option -e que si vous êtes sûr que la console est physiquement protégée contre les accès non autorisés.

-p, --login-shell
    Forcer sulogin à démarrer le processus d’interpréteur de commandes comme un interpréteur de connexion.

-t, --timeout secondes
    Indiquer la durée d’attente maximale pour une entrée d’utilisateur. Par défaut, sulogin attendra indéfiniment.

-h, --help
    Afficher un texte d'aide puis quitter.

-V, --version
    Afficher les informations sur la version et quitter.

VARIABLES D'ENVIRONNEMENT
sulogin recherche les variables d’environnement SUSHELL ou sushell pour déterminer l’interpréteur de commandes à démarrer. Si la variable d’environnement n’est pas définie, il essaiera d’exécuter l’interpréteur de commandes du superutilisateur indiqué dans le fichier /etc/passwd. Si cela échoue également, il essaiera /bin/sh.

AUTEUR
sulogin a été écrit par Miquel van Smoorenburg pour sysvinit puis ensuite porté pour util-linux par Dave Reisner et Karel Zak.

DISPONIBILITÉ
La commande sulogin fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.